# macop.operators.crossovers.SimpleCrossover — macop v1.0.1 documentation

# macop.operators.crossovers.SimpleCrossover

Crossover implementation which generated new solution by splitting at mean size best solution and current solution

Classes

`SimpleCrossover`() | Crossover implementation which generated new solution by splitting at mean size best solution and current solution

class `macop.operators.crossovers.SimpleCrossover.``SimpleCrossover`

  Crossover implementation which generated new solution by splitting at mean size best solution and current solution

  `kind`

    {Algorithm} – specify the kind of operator

  `apply`(solution)

    Create new solution based on best solution found and solution passed as parameter

    Parameters

      solution – {Solution} – the solution to use for generating new solution

    Returns

      {Solution} – new generated solution